Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## bea.jolt.pool
Class Connection

    java.lang.Object
      |
      +--bea.jolt.pool.Connection

public class Connection
extends java.lang.Object

This class represents a single connection (Session) to a BEA Jolt server and a BEA TUXEDO application. Since this class represents the only connection to a BEA TUXEDO system, all requests to a BEA TUXEDO system are sent via this class. However, this class is not used directly by programmers to send requests. Programmers use methods in other classes in this package to communicate with the BEA TUXEDO system.

This class exposes methods that are part of the administrative API for the BEA Jolt session pool.

When this class is used in a BEA WebLogic environment, these administrative API methods are accessed via the BEA WebLogic Console. Programmers do not need to access these methods directly.

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.util.Date` | `getAccessTime()` This method is part of the session pool administrative API.
`java.lang.String` | `getAddr()` This method is part of the session pool administrative API.
`int` | `getErrorCount()` This method is part of the session pool administrative API.
`int` | `getRequestCount()` This method is part of the session pool administrative API.
`int` | `getUseCount()` This method is part of the session pool administrative API.
`boolean` | `inTransaction()` This method is part of the session pool administrative API.
`boolean` | `isAlive()` This method is part of the session pool administrative API.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isAlive

    public final boolean isAlive()

  This method is part of the session pool administrative API. Checks if the connection to the BEA TUXEDO server is still alive.

  Returns:
    `true` if the connection is alive, otherwise `false`

### inTransaction

    public final boolean inTransaction()

  This method is part of the session pool administrative API. Checks if the connection is running an active transaction. Note that a connection can have only one transaction active at any time.

  Returns:
    `true` if the connection is in a transaction, `false` otherwise

### getAccessTime

    public final java.util.Date getAccessTime()

  This method is part of the session pool administrative API. Gets the time when this connection was last accessed.

  Returns:
    Date and time when this connection was last accessed

### getUseCount

    public final int getUseCount()

  This method is part of the session pool administrative API. Gets the number of outstanding requests on this connection. A connection can have up to 50 outstanding requests at any time.

  Returns:
    Number of outstanding requests on this connection

### getErrorCount

    public final int getErrorCount()

  This method is part of the session pool administrative API. Gets the cumulative BEA TUXEDO system error count on this connection. This is the total number of errors that have been encountered by this connection since it was established.

  Returns:
    Total number of BEA TUXEDO system errors for this connection

### getAddr

    public final java.lang.String getAddr()

  This method is part of the session pool administrative API. Gets the address of the server that holds this connection. The address is returned in `//host:port` format.

  Returns:
    Address of server that holds this connection

### getRequestCount

    public final int getRequestCount()

  This method is part of the session pool administrative API. Gets the number of requests that have been sent via this Connection.

  Returns:
    Number of requests

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD